package cn.edu.whu.boot.collection.dto;

import java.io.Serializable;

/**
 * 定义一个 Feature 类，主要是方便返回数据给决策管理前端
 */
public class Feature implements Serializable{

    private static final long serialVersionUID = 6787141434245062521L;

    private String type;

    private GeometryType geometry;

    private Object properties;

    public String getType()
    {
        return type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public GeometryType getGeometry()
    {
        return geometry;
    }

    public void setGeometry(GeometryType geometry)
    {
        this.geometry = geometry;
    }

    public Object getProperties()
    {
        return properties;
    }

    public void setProperties(Object properties)
    {
        this.properties = properties;
    }
}
